Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters
Class FSDAGTrainSMParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet<T>
              de.jstacs.parameters.SequenceScoringParameterSet<T>
                  de.jstacs.sequenceScores.statisticalModels.trainable.discrete.DGTrainSMParameterSet
                      de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters.IDGTrainSMParameterSet
                          de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters.FSDAGTrainSMParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

Direct Known Subclasses:
  FSDAGModelForGibbsSamplingParameterSet

    public class FSDAGTrainSMParameterSet

extends IDGTrainSMParameterSet

The class for the parameters of a `FSDAGTrainSM` (fixed structure directed acyclic graphical model).

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`` | `FSDAGTrainSMParameterSet()` This constructor creates an empty `FSDAGTrainSMParameterSet` set for a `FSDAGTrainSM`.
`` | `FSDAGTrainSMParameterSet(AlphabetContainer alphabet, int length, double ess, String description, String graph)` This constructor creates an `FSDAGTrainSMParameterSet` instance.
`protected` | `FSDAGTrainSMParameterSet(Class<? extends FSDAGTrainSM> clazz)` This the constructor creates an empty `FSDAGTrainSMParameterSet` from the class that can be instantiated using this `FSDAGTrainSMParameterSet`.
`protected` | `FSDAGTrainSMParameterSet(Class<? extends FSDAGTrainSM> clazz, AlphabetContainer alphabet, int length, double ess, String description, String graph)` This constructor creates an `FSDAGTrainSMParameterSet` instance for the specified class.
`` | `FSDAGTrainSMParameterSet(StringBuffer s)` The standard constructor for the interface `Storable`.

Method Summary
`static String` | `encode(int[][] graph)` This method can be used to encode an adjacency list to a graph description `String` (e.g. for the different constructors which requires graph description `String`s).
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters.IDGTrainSMParameterSet
`getModelInstanceName`

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.discrete.DGTrainSMParameterSet
`clone, getInstanceName, hasDefaultOrIsSet, setEss`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getParameterForName, getParent, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, setParent, toGalaxy`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSDAGTrainSMParameterSet

    public FSDAGTrainSMParameterSet(StringBuffer s)
                             throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `FSDAGTrainSMParameterSet` out of its XML representation.

  Parameters:
    `s` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `FSDAGTrainSMParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `Storable`, `IDGTrainSMParameterSet.IDGTrainSMParameterSet(StringBuffer)`

### FSDAGTrainSMParameterSet

    public FSDAGTrainSMParameterSet()

  This constructor creates an empty `FSDAGTrainSMParameterSet` set for a `FSDAGTrainSM`.

  See Also:
    `FSDAGTrainSMParameterSet(Class)`

### FSDAGTrainSMParameterSet

    public FSDAGTrainSMParameterSet(AlphabetContainer alphabet,
                                    int length,
                                    double ess,
                                    String description,
                                    String graph)
                             throws Exception

  This constructor creates an `FSDAGTrainSMParameterSet` instance. It sets the `AlphabetContainer`, the length, the ess (equivalent sample size) and the model description as well as a `String` describing the graph structure.

  Parameters:
    `alphabet` - the `AlphabetContainer` that is used in the model
    `length` - the length of the model (has to be positive)
    `ess` - the ess (equivalent sample size) of the model (has to be positive)
    `description` - a short description of the model (for a better handling of the object by the user)
    `graph` - the graph description `String`, encodes in XML-like manner the parents of each node "<parents node="i">j,k,l</parents>"
  Throws:
    `Exception` - if something went wrong
  See Also:
    `encode(int[][])`, `FSDAGTrainSMParameterSet(Class, AlphabetContainer, int, double, String, String)`

### FSDAGTrainSMParameterSet

    protected FSDAGTrainSMParameterSet(Class<? extends FSDAGTrainSM> clazz)

  This the constructor creates an empty `FSDAGTrainSMParameterSet` from the class that can be instantiated using this `FSDAGTrainSMParameterSet`.

  Parameters:
    `clazz` - the class of the object that will be created with this parameter set
  See Also:
    `FSDAGTrainSM`, `FSDAGModelForGibbsSampling`, `IDGTrainSMParameterSet.IDGTrainSMParameterSet(Class)`

### FSDAGTrainSMParameterSet

    protected FSDAGTrainSMParameterSet(Class<? extends FSDAGTrainSM> clazz,
                                       AlphabetContainer alphabet,
                                       int length,
                                       double ess,
                                       String description,
                                       String graph)
                                throws Exception

  This constructor creates an `FSDAGTrainSMParameterSet` instance for the specified class. It sets the `AlphabetContainer`, the length, the ess (equivalent sample size) and the model description as well as a `String` describing the graph structure.

  Parameters:
    `clazz` - the class of the object that will be created with this parameter set
    `alphabet` - the `AlphabetContainer` that is used in the model
    `length` - the length of the model (has to be positive)
    `ess` - the ess (equivalent sample size) of the model (has to be positive)
    `description` - a short description of the model (for a better handling of the object by the user)
    `graph` - the graph description `String`, encodes in XML-like manner the parents of each node "<parents node="i">j,k,l</parents>"
  Throws:
    `Exception` - if something went wrong
  See Also:
    `encode(int[][])`, `IDGTrainSMParameterSet.IDGTrainSMParameterSet(Class, AlphabetContainer, int, double, String)`

Method Detail

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

### encode

    public static String encode(int[][] graph)

  This method can be used to encode an adjacency list to a graph description `String` (e.g. for the different constructors which requires graph description `String`s).

  Parameters:
    `graph` - `graph[i]` contains the parents of node `i`
  Returns:
    the graph description `String`
  See Also:
    `FSDAGTrainSMParameterSet(AlphabetContainer, int, double, String, String)`, `FSDAGTrainSMParameterSet(Class, AlphabetContainer, int, double, String, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD